Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2594)
@@ -41,4 +41,173 @@
 
 !!! 2D
+
+! Marine
+
+  TYPE(ctrl_out), SAVE :: o_alt_tropo = ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'alt_tropo','Tropopause pressure','hPa',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_prop_hc = ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_prop_hc','Proportion of high clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_prop_hist = &
+  ctrl_out((/1,1,1,1,1,1,10,10,10/),&
+  'map_prop_hist','Proportion of high ice semi-transp clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_emis_hc = &
+  ctrl_out((/1,1,1,1,1,1,10,10,10/),&
+  'map_emis_hc','Emissivity of high clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_iwp_hc = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_iwp_hc','Ice water path of high clouds','g/m2',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_deltaz_hc = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_deltaz_hc','geom thickness of high clouds','m',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_pcld_hc = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_pcld_hc','cloud pressure of high clouds','hPa',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+   TYPE(ctrl_out), SAVE :: o_map_tcld_hc = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_tcld_hc','cloud temperature of high clouds','K',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+
+  TYPE(ctrl_out), SAVE :: o_map_emis_hist = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_emis_hist','Emissivity of high ice st clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_iwp_hist = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_iwp_hist','Ice water path of high ice st clouds','g/m2',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_deltaz_hist = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_deltaz_hist','geom thickness of high ice st clouds','m',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_rad_hist = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_rad_hist','ice crystals radius in high ice st clouds','µm',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+
+ TYPE(ctrl_out), SAVE :: o_map_emis_Cb = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_emis_Cb','Emissivity of high Cb clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+ TYPE(ctrl_out), SAVE :: o_map_pcld_Cb = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_pcld_Cb','cloud pressure of high Cb clouds','hPa',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+ TYPE(ctrl_out), SAVE :: o_map_tcld_Cb = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_tcld_Cb','cloud temperature of high Cb clouds','K',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+
+ TYPE(ctrl_out), SAVE :: o_map_emis_Anv = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_emis_Anv','Emissivity of high Anv clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+ TYPE(ctrl_out), SAVE :: o_map_pcld_Anv = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_pcld_Anv','cloud pressure of high Anv clouds','hPa',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_tcld_Anv = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_tcld_Anv','cloud temperature of high Anv clouds','K',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_emis_ThCi = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_emis_ThCi','Emissivity of high ThCi clouds',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_pcld_ThCi = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_pcld_ThCi','cloud pressure of high ThCi clouds','hPa',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_tcld_ThCi = &
+  ctrl_out((/10,10,1,10,10,10,10,10,10/),&
+  'map_tcld_ThCi','cloud temperature of high ThCi clouds','K',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+   TYPE(ctrl_out), SAVE :: o_map_ntot = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_ntot','total AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_hc = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_hc','high clouds AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_hist = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_hist','high clouds ice st AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+  TYPE(ctrl_out), SAVE :: o_map_Cb = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_Cb','high clouds Cb AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+ TYPE(ctrl_out), SAVE :: o_map_ThCi = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_ThCi','high clouds ThCi AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+ TYPE(ctrl_out), SAVE :: o_map_Anv = &
+  ctrl_out((/1,1,1,1,1,10,10,10,10/),&
+  'map_Anv','high clouds Anv AIRS cloud fraction',' ',&
+   (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)",&
+    "inst(X)", "inst(X)","inst(X)" /))
+
+
+! Fin Marine
+
   TYPE(ctrl_out), SAVE :: o_flat = ctrl_out((/ 5, 1, 10, 10, 5, 10, 11, 11, 11 /), &
     'flat', 'Latent heat flux', 'W/m2', (/ ('', i=1, 9) /))
@@ -745,11 +914,31 @@
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_tke_srf      = (/             &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11 /),'tke_ter',       &
-      "Max Turb. Kinetic Energy "//clnsurf(1),"-", (/ ('', i=1, 9) /)), &
+      "Max Turb. Kinetic Energy "//clnsurf(1),"m2/s2", (/ ('', i=1, 9) /)), &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11 /),'tke_lic',       &
-      "Max Turb. Kinetic Energy "//clnsurf(2),"-", (/ ('', i=1, 9) /)), &
+      "Max Turb. Kinetic Energy "//clnsurf(2),"m2/s2", (/ ('', i=1, 9) /)), &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11 /),'tke_oce',       &
-      "Max Turb. Kinetic Energy "//clnsurf(3),"-", (/ ('', i=1, 9) /)), &
+      "Max Turb. Kinetic Energy "//clnsurf(3),"m2/s2", (/ ('', i=1, 9) /)), &
       ctrl_out((/ 10, 4, 10, 10, 10, 10, 11, 11, 11 /),'tke_sic',       &
-      "Max Turb. Kinetic Energy "//clnsurf(4),"-", (/ ('', i=1, 9) /)) /)
+      "Max Turb. Kinetic Energy "//clnsurf(4),"m2/s2", (/ ('', i=1, 9) /)) /)
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_l_mixmin      = (/             &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mixmin_ter',       &
+      "PBL mixing length "//clnsurf(1),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mixmin_lic',       &
+      "PBL mixing length "//clnsurf(2),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mixmin_oce',       &
+      "PBL mixing length "//clnsurf(3),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mixmin_sic',       &
+      "PBL mixing length "//clnsurf(4),"m", (/ ('', i=1, 9) /)) /)
+
+  TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_l_mix      = (/             &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mix_ter',       &
+      "min PBL mixing length "//clnsurf(1),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mix_lic',       &
+      "min PBL mixing length "//clnsurf(2),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mix_oce',       &
+      "min PBL mixing length "//clnsurf(3),"m", (/ ('', i=1, 9) /)), &
+      ctrl_out((/ 10, 10, 10, 10, 10, 10, 11, 11, 11 /),'l_mix_sic',       &
+      "min PBL mixing length "//clnsurf(4),"m", (/ ('', i=1, 9) /)) /)
 
   TYPE(ctrl_out), SAVE, DIMENSION(4) :: o_tke_max_srf  = (/                          &
@@ -968,5 +1157,7 @@
     'ovapinit', 'Specific humidity (begin of timestep)', 'kg/kg', (/ ('', i=1, 9) /))
   TYPE(ctrl_out), SAVE :: o_oliq = ctrl_out((/ 2, 3, 4, 10, 10, 10, 11, 11, 11 /), &
-    'oliq', 'Condensed water', 'kg/kg', (/ ('', i=1, 9) /))
+    'oliq', 'Liquid water', 'kg/kg', (/ ('', i=1, 9) /))
+  TYPE(ctrl_out), SAVE :: o_ocond = ctrl_out((/ 2, 3, 4, 10, 10, 10, 11, 11, 11 /), &
+    'ocond', 'Condensed water', 'kg/kg', (/ ('', i=1, 9) /))
   TYPE(ctrl_out), SAVE :: o_wvapp = ctrl_out((/ 2, 10, 10, 10, 10, 10, 11, 11, 11 /), &
     'wvapp', '', '', (/ ('', i=1, 9) /))
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 2594)
@@ -56,4 +56,5 @@
     include "clesphys.h"
     include "thermcell.h"
+    include "YOMCST.h"
 
     ! ug Nouveaux arguments n\'ecessaires au histwrite_mod:
@@ -263,5 +264,5 @@
      ELSE
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-         CALL ymds2ju(annee_ref, 1, day_ini, start_time, zjulian_start)
+         CALL ymds2ju(annee_ref, 1, day_ini, start_time*rday, zjulian_start)
      END IF
 
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_var_mod.F90	(revision 2594)
@@ -16,13 +16,32 @@
   INTEGER, SAVE, ALLOCATABLE ::  itau_con(:)       ! Nombre de pas ou rflag <= 1
   !$OMP THREADPRIVATE(itau_con)
-  REAL, ALLOCATABLE :: bils_ec(:) ! Contribution of energy conservation
-  REAL, ALLOCATABLE :: bils_ech(:) ! Contribution of energy conservation
-  REAL, ALLOCATABLE :: bils_tke(:) ! Contribution of energy conservation
-  REAL, ALLOCATABLE :: bils_diss(:) ! Contribution of energy conservation
-  REAL, ALLOCATABLE :: bils_kinetic(:) ! bilan de chaleur au sol, kinetic
-  REAL, ALLOCATABLE :: bils_enthalp(:) ! bilan de chaleur au sol
-  REAL, ALLOCATABLE :: bils_latent(:) ! bilan de chaleur au sol
+  REAL, SAVE, ALLOCATABLE :: bils_ec(:) ! Contribution of energy conservation
+  REAL, SAVE, ALLOCATABLE :: bils_ech(:) ! Contribution of energy conservation
+  REAL, SAVE, ALLOCATABLE :: bils_tke(:) ! Contribution of energy conservation
+  REAL, SAVE, ALLOCATABLE :: bils_diss(:) ! Contribution of energy conservation
+  REAL, SAVE, ALLOCATABLE :: bils_kinetic(:) ! bilan de chaleur au sol, kinetic
+  REAL, SAVE, ALLOCATABLE :: bils_enthalp(:) ! bilan de chaleur au sol
+  REAL, SAVE, ALLOCATABLE :: bils_latent(:) ! bilan de chaleur au sol
   !$OMP THREADPRIVATE(bils_ec,bils_ech,bils_tke,bils_diss,bils_kinetic,bils_enthalp,bils_latent)
 
+! Marine
+! Variables de sortie du simulateur AIRS
+
+  REAL, SAVE, ALLOCATABLE :: map_prop_hc(:),map_prop_hist(:),alt_tropo(:)
+  !$OMP THREADPRIVATE(map_prop_hc,map_prop_hist,alt_tropo)
+  REAL, SAVE, ALLOCATABLE :: map_emis_hc(:),map_iwp_hc(:),map_deltaz_hc(:), &
+                       map_pcld_hc(:),map_tcld_hc(:)
+  !$OMP THREADPRIVATE(map_emis_hc,map_iwp_hc,map_deltaz_hc,map_pcld_hc,map_tcld_hc)
+  REAL, SAVE, ALLOCATABLE :: map_emis_hist(:),map_iwp_hist(:),map_deltaz_hist(:),map_rad_hist(:)         
+  !$OMP THREADPRIVATE(map_emis_hist,map_iwp_hist,map_deltaz_hist,map_rad_hist)
+  REAL, SAVE, ALLOCATABLE :: map_ntot(:),map_hc(:),map_hist(:)
+  REAL, SAVE, ALLOCATABLE :: map_Cb(:),map_ThCi(:),map_Anv(:)
+  !$OMP THREADPRIVATE(map_ntot,map_hc,map_hist,map_Cb,map_ThCi,map_Anv)
+  REAL, SAVE, ALLOCATABLE :: map_emis_Cb(:),map_pcld_Cb(:),map_tcld_Cb(:)
+  REAL, SAVE, ALLOCATABLE :: map_emis_ThCi(:),map_pcld_ThCi(:),map_tcld_ThCi(:)
+  !$OMP THREADPRIVATE(map_emis_Cb,map_pcld_Cb,map_tcld_Cb,map_emis_ThCi)
+  REAL, SAVE, ALLOCATABLE :: map_emis_Anv(:),map_pcld_Anv(:),map_tcld_Anv(:)
+  !$OMP THREADPRIVATE(map_pcld_ThCi,map_tcld_ThCi,map_emis_Anv,map_pcld_Anv,map_tcld_Anv)              
+   
 
   ! ug Plein de variables venues de phys_output_mod
@@ -103,4 +122,21 @@
     allocate (bils_ec(klon),bils_ech(klon),bils_tke(klon),bils_diss(klon),bils_kinetic(klon),bils_enthalp(klon),bils_latent(klon))
 
+! Marine
+! Variables de sortie simulateur AIRS
+
+!     if (ok_airs) then
+      allocate (map_prop_hc(klon),map_prop_hist(klon))
+      allocate (alt_tropo(klon))
+      allocate (map_emis_hc(klon),map_iwp_hc(klon),map_deltaz_hc(klon))
+      allocate (map_pcld_hc(klon),map_tcld_hc(klon))
+      allocate (map_emis_hist(klon),map_iwp_hist(klon),map_deltaz_hist(klon))
+      allocate (map_rad_hist(klon))
+      allocate (map_ntot(klon),map_hc(klon),map_hist(klon))
+      allocate (map_Cb(klon),map_ThCi(klon),map_Anv(klon))
+      allocate (map_emis_Cb(klon),map_pcld_Cb(klon),map_tcld_Cb(klon))
+      allocate (map_emis_ThCi(klon),map_pcld_ThCi(klon),map_tcld_ThCi(klon))
+      allocate (map_emis_Anv(klon),map_pcld_Anv(klon),map_tcld_Anv(klon))
+!     endif
+
     IF (ok_hines) allocate(zustr_gwd_hines(klon), zvstr_gwd_hines(klon))
     IF (.not.ok_hines.and.ok_gwd_rando) &
@@ -115,6 +151,25 @@
     IMPLICIT NONE
 
+    include "clesphys.h"
+
     deallocate(snow_o,zfra_o,itau_con)
     deallocate (bils_ec,bils_ech,bils_tke,bils_diss,bils_kinetic,bils_enthalp,bils_latent)
+
+! Marine
+! Variables de sortie simulateur AIRS
+
+ !    if (ok_airs) then
+      deallocate (map_prop_hc,map_prop_hist)
+      deallocate (alt_tropo)
+      deallocate (map_emis_hc,map_iwp_hc,map_deltaz_hc)
+      deallocate (map_pcld_hc,map_tcld_hc)
+      deallocate (map_emis_hist,map_iwp_hist,map_deltaz_hist)
+      deallocate (map_rad_hist)
+      deallocate (map_ntot,map_hc,map_hist)
+      deallocate (map_Cb,map_ThCi,map_Anv)
+      deallocate (map_emis_Cb,map_pcld_Cb,map_tcld_Cb)
+      deallocate (map_emis_ThCi,map_pcld_ThCi,map_tcld_ThCi)
+      deallocate (map_emis_Anv,map_pcld_Anv,map_tcld_Anv)
+  !   endif
 
   END SUBROUTINE phys_output_var_end
Index: /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2594)
@@ -60,4 +60,5 @@
          o_fsw_srf, o_wbils_srf, o_wbilo_srf, &
          o_tke_srf, o_tke_max_srf,o_dltpbltke_srf, o_wstar, &
+         o_l_mixmin,o_l_mix, &
          o_cdrm, o_cdrh, o_cldl, o_cldm, o_cldh, &
          o_cldt, o_JrNt, o_cldljn, o_cldmjn, &
@@ -116,5 +117,5 @@
          o_lcc3dstra, o_reffclwtop, o_ec550aer, &
          o_lwcon, o_iwcon, o_temp, o_theta, &
-         o_ovapinit, o_ovap, o_oliq, o_geop, &
+         o_ovapinit, o_ovap, o_oliq, o_ocond, o_geop, &
          o_vitu, o_vitv, o_vitw, o_pres, o_paprs, &
          o_zfull, o_zhalf, o_rneb, o_rnebjn, o_rnebcon, &
@@ -167,5 +168,16 @@
          o_sens_prec_sol_oce, o_sens_prec_sol_sic, &
          o_lat_prec_liq_oce, o_lat_prec_liq_sic, &
-         o_lat_prec_sol_oce, o_lat_prec_sol_sic
+         o_lat_prec_sol_oce, o_lat_prec_sol_sic, &
+! Marine
+         o_map_prop_hc, o_map_prop_hist, o_map_emis_hc, o_map_iwp_hc, &
+         o_map_deltaz_hc, o_map_pcld_hc, o_map_tcld_hc, &
+         o_map_emis_hist, o_map_iwp_hist, o_map_deltaz_hist, &
+         o_map_rad_hist, &
+         o_map_emis_Cb, o_map_pcld_Cb, o_map_tcld_Cb, &
+         o_map_emis_ThCi, o_map_pcld_ThCi, o_map_tcld_ThCi, &
+         o_map_emis_Anv, o_map_pcld_Anv, o_map_tcld_Anv, &
+         o_map_ntot, o_map_hc,o_map_hist,o_map_Cb,o_map_ThCi,o_map_Anv, &
+         o_alt_tropo
+
 
     USE phys_state_var_mod, only: pctsrf, paire_ter, rain_fall, snow_fall, &
@@ -198,4 +210,5 @@
     USE phys_local_var_mod, only: zxfluxlat, slp, ptstar, pt0, zxtsol, zt2m, &
          t2m_min_mon, t2m_max_mon, evap, &
+         l_mixmin,l_mix, &
          zu10m, zv10m, zq2m, zustar, zxqsurf, &
          rain_lsc, rain_num, snow_lsc, bils, sens, fder, &
@@ -237,5 +250,5 @@
          lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
          ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
-         ql_seri, tr_seri, &
+         ql_seri, qs_seri, tr_seri, &
          zphi, u_seri, v_seri, omega, cldfra, &
          rneb, rnebjn, zx_rh, d_t_dyn,  & 
@@ -262,5 +275,18 @@
          zustr_gwd_hines, zvstr_gwd_hines,zustr_gwd_rando, zvstr_gwd_rando, &
          zustr_gwd_front, zvstr_gwd_front,     &
-         sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
+         sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o, &
+! Marine
+         map_prop_hc, map_prop_hist, &
+         map_emis_hc,map_iwp_hc,map_deltaz_hc,&
+         map_pcld_hc,map_tcld_hc,&
+         map_emis_hist,map_iwp_hist,map_deltaz_hist,&
+         map_rad_hist,&
+         map_ntot,map_hc,map_hist,&
+         map_Cb,map_ThCi,map_Anv,&
+         map_emis_Cb,map_pcld_Cb,map_tcld_Cb,&
+         map_emis_ThCi,map_pcld_ThCi,map_tcld_ThCi,&
+         map_emis_Anv,map_pcld_Anv,map_tcld_Anv, &
+         alt_tropo
+
   
 
@@ -331,5 +357,5 @@
 
     ! On calcul le nouveau tau:
-    itau_w = itau_phy + itap + start_time * day_step_phy
+    itau_w = itau_phy + itap 
     ! On le donne à iophy pour que les histwrite y aient accès:
     CALL set_itau_iophy(itau_w)
@@ -378,4 +404,42 @@
        CALL histwrite_phy(o_aireTER, paire_ter)
 !!! Champs 2D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! Simulateur AIRS
+     IF (ok_airs) then
+      CALL histwrite_phy(o_alt_tropo,alt_tropo)
+ 
+      CALL histwrite_phy(o_map_prop_hc,map_prop_hc)
+      CALL histwrite_phy(o_map_prop_hist,map_prop_hist)
+
+      CALL histwrite_phy(o_map_emis_hc,map_emis_hc)
+      CALL histwrite_phy(o_map_iwp_hc,map_iwp_hc)
+      CALL histwrite_phy(o_map_deltaz_hc,map_deltaz_hc)
+      CALL histwrite_phy(o_map_pcld_hc,map_pcld_hc)
+      CALL histwrite_phy(o_map_tcld_hc,map_tcld_hc)
+
+      CALL histwrite_phy(o_map_emis_hist,map_emis_hist)
+      CALL histwrite_phy(o_map_iwp_hist,map_iwp_hist)
+      CALL histwrite_phy(o_map_deltaz_hist,map_deltaz_hist)
+
+      CALL histwrite_phy(o_map_ntot,map_ntot)
+      CALL histwrite_phy(o_map_hc,map_hc)
+      CALL histwrite_phy(o_map_hist,map_hist)
+
+      CALL histwrite_phy(o_map_Cb,map_Cb)
+      CALL histwrite_phy(o_map_ThCi,map_ThCi)
+      CALL histwrite_phy(o_map_Anv,map_Anv)
+
+      CALL histwrite_phy(o_map_emis_Cb,map_emis_Cb)
+      CALL histwrite_phy(o_map_pcld_Cb,map_pcld_Cb)
+      CALL histwrite_phy(o_map_tcld_Cb,map_tcld_Cb)
+
+      CALL histwrite_phy(o_map_emis_ThCi,map_emis_ThCi)
+      CALL histwrite_phy(o_map_pcld_ThCi,map_pcld_ThCi)
+      CALL histwrite_phy(o_map_tcld_ThCi,map_tcld_ThCi)
+
+      CALL histwrite_phy(o_map_emis_Anv,map_emis_Anv)
+      CALL histwrite_phy(o_map_pcld_Anv,map_pcld_Anv)
+      CALL histwrite_phy(o_map_tcld_Anv,map_tcld_Anv)
+     ENDIF
+
        CALL histwrite_phy(o_flat, zxfluxlat)
        CALL histwrite_phy(o_ptstar, ptstar)
@@ -619,4 +683,6 @@
           IF (iflag_pbl > 1) THEN
              CALL histwrite_phy(o_tke_srf(nsrf),  pbl_tke(:,1:klev,nsrf))
+             CALL histwrite_phy(o_l_mix(nsrf),  l_mix(:,1:klev,nsrf))
+             CALL histwrite_phy(o_l_mixmin(nsrf),  l_mixmin(:,1:klev,nsrf))
              CALL histwrite_phy(o_tke_max_srf(nsrf),  pbl_tke(:,1:klev,nsrf))
           ENDIF
@@ -1055,4 +1121,5 @@
        CALL histwrite_phy(o_ovap, q_seri)
        CALL histwrite_phy(o_oliq, ql_seri)
+       CALL histwrite_phy(o_ocond, ql_seri+qs_seri)
        CALL histwrite_phy(o_geop, zphi)
        CALL histwrite_phy(o_vitu, u_seri)
Index: /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/physiq_mod.F90	(revision 2594)
@@ -1077,6 +1077,6 @@
        !RC
        ustar(:,:)=0.
-       u10m(:,:)=0.
-       v10m(:,:)=0.
+!       u10m(:,:)=0.
+!       v10m(:,:)=0.
        rain_con(:)=0.
        snow_con(:)=0.
@@ -1165,8 +1165,14 @@
 
        CALL phyetat0 ("startphy.nc",clesphy0,tabcntr0)
+!jyg<
        IF (klon_glo==1) THEN
-          coefh=0. ; coefm=0. ; pbl_tke=0.
-          coefh(:,2,:)=1.e-2 ; coefm(:,2,:)=1.e-2 ; pbl_tke(:,2,:)=1.e-2
-          PRINT*,'FH WARNING : lignes a supprimer'
+          pbl_tke(:,:,is_ave) = 0.
+          DO nsrf=1,nbsrf
+            DO k = 1,klev+1
+                 pbl_tke(:,k,is_ave) = pbl_tke(:,k,is_ave) &
+                     +pctsrf(:,nsrf)*pbl_tke(:,k,nsrf)
+            ENDDO
+          ENDDO
+!>jyg
        ENDIF
        !IM begin
@@ -1424,4 +1430,5 @@
                klon, &
                nqtot, &
+               nqo, &
                pdtphys, &
                annee_ref, &
@@ -2294,5 +2301,5 @@
                     wake_pe, wake_fip,  &
                     Ale_bl, Ale_bl_trig, Alp_bl, &
-                    Ale, Alp )
+                    Ale, Alp , Ale_wake, Alp_wake)
 !>jyg
 !
@@ -2776,8 +2783,18 @@
 !jyg<
 !
-          CALL alpale_th( dtime, lmax_th, t_seri, &
+          CALL alpale_th( dtime, lmax_th, t_seri, cell_area,  &
                           cin, s2, n2,  &
                           ale_bl_trig, ale_bl_stat, ale_bl,  &
-                          alp_bl, alp_bl_stat )
+                          alp_bl, alp_bl_stat, &
+                          proba_notrig, random_notrig)
+
+          ! ------------------------------------------------------------------
+          ! Transport de la TKE par les panaches thermiques.
+          ! FH : 2010/02/01
+          !     if (iflag_pbl.eq.10) then
+          !     call thermcell_dtke(klon,klev,nbsrf,pdtphys,fm_therm,entr_therm,
+          !    s           rg,paprs,pbl_tke)
+          !     endif
+          ! -------------------------------------------------------------------
 
           do i=1,klon
@@ -3931,4 +3948,28 @@
 #endif
     ENDIF  !ok_cosp
+
+
+! Marine
+
+  IF (ok_airs) then
+
+  IF (itap.eq.1.or.MOD(itap,NINT(freq_airs/dtime)).EQ.0) THEN
+  write(*,*) 'je vais appeler simu_airs, ok_airs, freq_airs=', &
+     & ok_airs, freq_airs
+  call simu_airs(itap,rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs,&
+     & map_prop_hc,map_prop_hist,&
+     & map_emis_hc,map_iwp_hc,map_deltaz_hc,map_pcld_hc,map_tcld_hc,&
+     & map_emis_Cb,map_pcld_Cb,map_tcld_Cb,&
+     & map_emis_ThCi,map_pcld_ThCi,map_tcld_ThCi,&
+     & map_emis_Anv,map_pcld_Anv,map_tcld_Anv,&
+     & map_emis_hist,map_iwp_hist,map_deltaz_hist,map_rad_hist,&
+     & map_ntot,map_hc,map_hist,&
+     & map_Cb,map_ThCi,map_Anv,&
+     & alt_tropo )
+  ENDIF
+
+  ENDIF  ! ok_airs
+
+
     ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !AA
Index: /LMDZ5/branches/testing/libf/phylmd/readaerosolstrato.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/readaerosolstrato.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/readaerosolstrato.F90	(revision 2594)
@@ -55,5 +55,5 @@
     data piz_strat  /0.9999998, 0.99762493/
     data cg_strat   /0.73107845,0.73229635/
-    real, dimension(nwave) :: alpha_strat_wave
+    real, dimension(nwave_sw) :: alpha_strat_wave
     data alpha_strat_wave/3.36780953,3.34667683,3.20444202,3.0293026,2.82108808/
 
@@ -153,5 +153,5 @@
 
 !--total vertical aod at the 6 wavelengths
-    DO wave=1, nwave
+    DO wave=1, nwave_sw
     DO k=1, klev
     tausum_aero(:,wave,id_STRAT_phy)=tausum_aero(:,wave,id_STRAT_phy)+tau_aer_strat(:,k)*alpha_strat_wave(wave)/alpha_strat_wave(2)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2594)
@@ -70,5 +70,5 @@
   ! Local
   !
-  INTEGER, PARAMETER :: las = nwave
+  INTEGER, PARAMETER :: las = nwave_sw
   LOGICAL :: soluble
   
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 2594)
@@ -61,9 +61,9 @@
 !--diagnostics AOD in the SW
 ! alpha_sw_strat_wave is *not* normalised by the 550 nm extinction coefficient
-    real, dimension(nwave) :: alpha_sw_strat_wave
+    real, dimension(nwave_sw) :: alpha_sw_strat_wave
     data alpha_sw_strat_wave/3.708007,4.125824,4.136584,3.887478,3.507738/
 !
-!--diagnostics AOD in the LW at 10 um 
-    real :: alpha_lw_strat_wave
+!--diagnostics AOD in the LW at 10 um (not normalised by the 550 nm ext coefficient
+    real :: alpha_lw_strat_wave(nwave_lw)
     data alpha_lw_strat_wave/0.2746812/
 !
@@ -171,8 +171,8 @@
 
 !--total vertical aod at the 5 SW wavelengths
-    DO wave=1, nwave
+    DO wave=1, nwave_sw
     DO k=1, klev
-    tausum_aero(:,wave,id_STRAT_phy)=tausum_aero(:,wave,id_STRAT_phy)+ &
-       tau_aer_strat(:,k)*alpha_sw_strat_wave(wave)/alpha_sw_strat_wave(2)
+      tausum_aero(:,wave,id_STRAT_phy)=tausum_aero(:,wave,id_STRAT_phy)+ &
+          tau_aer_strat(:,k)*alpha_sw_strat_wave(wave)/alpha_sw_strat_wave(2)
     ENDDO
     ENDDO
@@ -210,4 +210,12 @@
     ENDIF 
 
+!--total vertical aod at the 1 LW wavelength
+    DO wave=1, nwave_lw
+    DO k=1, klev
+      tausum_aero(:,nwave_sw+wave,id_STRAT_phy)=tausum_aero(:,nwave_sw+wave,id_STRAT_phy)+ &
+         tau_aer_strat(:,k)*alpha_lw_strat_wave(wave)/alpha_sw_strat_wave(2)
+    ENDDO
+    ENDDO
+
     DO band=1, nbands_lw_rrtm
     tau_aero_lw_rrtm(:,:,2,band)  = tau_aero_lw_rrtm(:,:,2,band) + alpha_lw_abs_rrtm(band)*tau_aer_strat(:,:)
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2593)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2594)
@@ -269,10 +269,11 @@
 !--total vertical aod at the 5 SW wavelengths
 !--for now use band 3 AOD into all 5 wavelengths
+!--it is only a reasonable approximation for 550 nm (wave=2)
     band=3
     DO i=1, klon
     DO k=1, klev
       IF (stratomask(i,k).GT.0.999999) THEN
-        DO wave=1, nwave
-          tausum_aero(:,wave,id_STRAT_phy)=tausum_aero(:,wave,id_STRAT_phy)+tau_aer_strat(:,k,band)
+        DO wave=1, nwave_sw
+          tausum_aero(i,wave,id_STRAT_phy)=tausum_aero(i,wave,id_STRAT_phy)+tau_aer_strat(i,k,band)
         ENDDO
       ENDIF
@@ -308,4 +309,17 @@
     ENDDO
 
+!--total vertical aod at 10 um
+!--this is approximated from band 7 of RRTM
+    band=7
+    DO i=1, klon
+    DO k=1, klev
+      IF (stratomask(i,k).GT.0.999999) THEN
+        DO wave=1, nwave_lw
+          tausum_aero(i,nwave_sw+wave,id_STRAT_phy)=tausum_aero(i,nwave_sw+wave,id_STRAT_phy)+taulw_aer_strat(i,k,band)
+        ENDDO
+      ENDIF
+    ENDDO
+    ENDDO
+
     DO band=1, NLW
     WHERE (stratomask.GT.0.999999)
